Package: groovy.console.ui

## [Groovy] Class HistoryRecord

- groovy.console.ui.HistoryRecord

-     @CompileStatic
      class HistoryRecord
      extends Object

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `allText`
    `Throwable` | `exception`
    `Object` | `result`
    `String` | `scriptName`
    `int` | `selectionEnd`
    `int` | `selectionStart`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HistoryRecord()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getTextToRun(boolean useSelection)`
    `` | `Object` | `getValue()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### String allText

    - #### Throwable exception

    - #### Object result

    - #### String scriptName

    - #### int selectionEnd

    - #### int selectionStart

  - ### Constructor Detail

    - #### HistoryRecord()

  - ### Method Detail

    - #### String getTextToRun(boolean useSelection)

    - #### Object getValue()